package cn.iocoder.yudao.module.depository.dal.dataobject.warehouse;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.depository.dto.ContactInfoDTO;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 仓库 DO
 *
 * @author wlh
 */
@TableName("ecw_warehouse")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WarehouseDO extends BaseDO implements Serializable {

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 上级仓库
     */
    private Long pid;
    /**
     * 网点id
     */
    private Long nodeId;
    /**
     * 类型
     */
    private Integer type;
    /**
     * 仓库编号
     */
    private String number;
    /**
     * 仓库简码
     */
    private String qianzhui;
    /**
     * 仓库名称
     */
    private String titleZh;
    /**
     * 英文名称
     */
    private String titleEn;
    /**
     * 容量
     */
    private String volume;
    /**
     * 仓库地址
     */
    private String addressZh;
    /**
     * 英文地址
     */
    private String addressEn;
    /**
     * 洲
     */
    private Long zhou;
    /**
     * 国家
     */
    private Long guojia;
    /**
     * 省
     */
    private Long sheng;
    /**
     * 市
     */
    private Long shi;
    /**
     * 负责人
     */
    private String head;
    /**
     * 电话
     */
    private String tell;
    /**
     * 字典:region_trade_type
     */
    private String tradeType;
    /**
     * 运输方式id，多个用逗号隔开
     */
    private String freight;

    /**
     * 图片地址
     */
    private String img;

    /**
     * 备注
     */
    private String remark;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 是否展示 默认为展示
     */
    private Integer status;

    @TableField(exist = false)
    private Long lineId;
    @TableField(exist = false)
    private String transportType;
    @TableField(exist = false)
    private String otherService;
    @TableField(exist = false)
    private Integer controlStatus;
    @TableField(exist = false)
    private Long currencyUnit;
    @TableField(exist = false)
    private BigDecimal minPrice;

    /**
     * 提单制作节点
     */
    @TableField(exist = false)
    private String makeBillNode;


    /**
     * 是否在客户端显示  0不显示 1显示
     */
    @TableField(exist = false)
    private Boolean isClientShow;

    private String kycStatus;

    @TableField(exist = false)
    private ContactInfoDTO senderInfo;

    @TableField(exist = false)
    private ContactInfoDTO recipientInfo;

    /**
     * 模版标题英文
     */
    @TableField(exist = false)
    private String tempTitleEn;

    /**
     * 模版标题中文
     */
    @TableField(exist = false)
    private String tempTitleZh;


    /*
     仓库免租期，单位为天数
     */
    private int rentFreeDays;


    /*
     锁定收货人天数
     */
    private int lockRecipientDays;

}
