package cn.iocoder.yudao.module.depository.vo.warehouse;

import cn.iocoder.yudao.module.depository.dto.ContactInfoDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel("管理后台 - 仓库 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WarehouseLineBindRespVO extends WarehouseBaseVO {

    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    private Long lineId;

    private String transportType;

    private String otherService;


    /**
     * 控货，0-支持，1-不支持
     */
    private Integer controlStatus;

    /**
     * 保费币种
     */
    private Long currencyUnit;

    /**
     * 最低保费金额
     */
    private BigDecimal minPrice;


    /**
     * 提单制作节点
     */
    private String makeBillNode;


    /**
     * 是否在客户端显示  0不显示 1显示
     */
    private Boolean isClientShow;

    private ContactInfoDTO senderInfo;

    private ContactInfoDTO recipientInfo;

    /**
     * 模版标题英文
     */
    private String tempTitleEn;

    /**
     * 模版标题中文
     */
    private String tempTitleZh;

}
